Qwt User's Guide: QwtTextLabel Class Reference

# QwtTextLabel Class Reference

A Widget which displays a QwtText. More...

`#include <qwt_text_label.h>`

Inheritance diagram for QwtTextLabel:
[legend]

List of all members.

## Public Slots
void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
virtual void | setText (const QwtText &)
void | clear ()
## Public Member Functions
| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
const QwtText & | text () const
int | indent () const
void | setIndent (int)
int | margin () const
void | setMargin (int)
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
virtual int | heightForWidth (int) const
QRect | textRect () const
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *e)
virtual void | drawContents (QPainter *)
virtual void | drawText (QPainter *, const QRect &)

## Detailed Description

A Widget which displays a QwtText.

## Constructor & Destructor Documentation

QwtTextLabel::QwtTextLabel | ( | QWidget * | parent = `NULL` | ) | `[explicit]`

Constructs an empty label.

Parameters:

  | parent | Parent widget

QwtTextLabel::QwtTextLabel | ( | const QwtText & | text,
|  | QWidget * | parent = `NULL` |
| ) |  |  | `[explicit]`

Constructs a label that displays the text, text

Parameters:

  | parent | Parent widget
  | text | Text

QwtTextLabel::~QwtTextLabel | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void QwtTextLabel::clear | ( |  | ) | `[slot]`

Clear the text and all QwtText attributes.

void QwtTextLabel::drawContents | ( | QPainter * | painter | ) | `[protected, virtual]`

Redraw the text and focus indicator.

void QwtTextLabel::drawText | ( | QPainter * | painter,
|  | const QRect & | textRect |
| ) |  |  | `[protected, virtual]`

Redraw the text.

Reimplemented in QwtLegendItem.

int QwtTextLabel::heightForWidth | ( | int | width | ) | const`[virtual]`

Returns the preferred height for this widget, given the width.

Parameters:

  | width | Width

int QwtTextLabel::indent | ( |  | ) | const

Return label's text indent in pixels.

int QwtTextLabel::margin | ( |  | ) | const

Return label's text indent in pixels.

QSize QwtTextLabel::minimumSizeHint | ( |  | ) | const`[virtual]`

Return a minimum size hint.

void QwtTextLabel::paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Qt paint event

Parameters:

  | event | Paint event

Reimplemented in QwtLegendItem.

void QwtTextLabel::setIndent | ( | int | indent | ) |

Set label's text indent in pixels

Parameters:

  | indent | Indentation in pixels

void QwtTextLabel::setMargin | ( | int | margin | ) |

Set label's margin in pixels

Parameters:

  | margin | Margin in pixels

void QwtTextLabel::setText | ( | const QwtText & | text | ) | `[virtual, slot]`

Change the label's text

Parameters:

  | text | New text

Reimplemented in QwtLegendItem.

void QwtTextLabel::setText | ( | const QString & | text,
|  | QwtText::TextFormat | textFormat = `QwtText::AutoText` |
| ) |  |  | `[slot]`

Change the label's text, keeping all other QwtText attributes

Parameters:

  | text | New text
  | textFormat | Format of text

See also:
  QwtText

QSize QwtTextLabel::sizeHint | ( |  | ) | const`[virtual]`

Return label's margin in pixels.

Reimplemented in QwtLegendItem.

const QwtText & QwtTextLabel::text | ( |  | ) | const

Return the text.

QRect QwtTextLabel::textRect | ( |  | ) | const

Calculate the rect for the text in widget coordinates

Returns:
  Text rect